<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require "../config/Conexion.php";

Class Pago
{
  //Implementando nuestro constructor
  public function __construct()
  {
  }
    public function listar_deudas($idcontrato) {
    $fechahoy=date("Y-m-d");
    $sql = "SELECT idcuota, DATE_FORMAT(fecha_pago, '%d/%m/%Y') as vencimiento, 
                   descripcion,(monto + montocuota) AS monto,  estado_cuota,montocuota,idcontrato  
            FROM cuota 
            WHERE idcontrato = '$idcontrato' and estado_cuota='1' and estado_contrato='1' and date(fecha_pago)<='$fechahoy'
            ORDER BY fecha_pago ";
    return ejecutarConsulta($sql);
    }

    public function listar_recibos_pagados($idcontrato)
        {
            $sql = "SELECT 
                    c.idcuota,
                    c.nrorecibo, 
                    c.monto,
                    e.descripcion,
                    month(c.fecha_pago)as mes,
                    DATE_FORMAT(c.fecha_pago, '%d/%m/%Y') as fecha_pago  
                    FROM cuota c 
                    LEFT JOIN pago p ON c.idcuota=p.idcuota
                    LEFT JOIN concepto_ingreso e ON p.idconcepto_ingreso=e.idconcepto_ingreso
                    WHERE c.idcontrato = '$idcontrato' 
                    AND c.estado_cuota = '2' and c.monto >0
                    ORDER BY c.fecha_pago DESC";

            return ejecutarConsulta($sql);
        }


}